## org.eclipse.ocl.types.operations
Class SequenceTypeOperations

    java.lang.Object
      org.eclipse.ocl.types.operations.CollectionTypeOperations
          org.eclipse.ocl.types.operations.SequenceTypeOperations

    public class SequenceTypeOperations

extends CollectionTypeOperations

A static utility class that provides operations related to 'Sequence Type' model objects.

The following operations are supported:

- `Check Collection Type Name`

Constructor Summary
`protected` `SequenceTypeOperations()`

Method Summary

`static

`<C,O> boolean`

`

`checkCollectionTypeName(SequenceType<C,O> sequenceType, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.name = 'Sequence(' + self.elementType.name + ')'

Methods inherited from class org.eclipse.ocl.types.operations.CollectionTypeOperations
`checkCollectionTypeName, checkNoInvalidValues, oclIterators`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceTypeOperations

    protected SequenceTypeOperations()

Method Detail

### checkCollectionTypeName

    public static <C,O> boolean checkCollectionTypeName(SequenceType<C,O> sequenceType,
                                                        DiagnosticChain diagnostics,
                                                        Map<Object,Object> context)

  self.name = 'Sequence(' + self.elementType.name + ')'

  Parameters:
    `sequenceType` - The receiving 'Sequence Type' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.